use wasm_bindgen::prelude::*;

#[wasm_bindgen]
pub fn process(content: &str, repetitions: usize) -> Result<String, JsValue> {
    if repetitions == 0 {
        return Err(JsValue::from("parameter should be greater than 0!"));
    }
    Ok(content.repeat(repetitions))
}
